Go to the first, previous, next, last section, table of contents.

### `idiv`, `irem`

`idiv(i1,i2)`
  :: Integer quotient of i1 divided by i2.
`irem(i1,i2)`
  :: Integer remainder of i1 divided by i2.

return
  integer
i1 i2
  integer

- Integer quotient and remainder of i1 divided by i2.
- i2 must not be 0.
- If the dividend is negative, the results are obtained by changing the sign of the results for absolute values of the dividend.
- One can use i1 `%` i2 for replacement of `irem()` which only differs in the point that the result is always normalized to non-negative values.
- Use `sdiv()`, `srem()` for polynomial quotient.

    [0] idiv(100,7);
    14
    [0] idiv(-100,7);
    -14
    [1] irem(100,7);
    2
    [1] irem(-100,7);
    -2

`References`
  section `sdiv`, `sdivm`, `srem`, `sremm`, `sqr`, `sqrm`, section `%`.

Go to the first, previous, next, last section, table of contents.